sort {base} | R Documentation

## Sort a Vector

### Description

Sort a numeric or complex vector (partially) into ascending order.

### Usage

    sort(x, partial = NULL, na.last = NA)

### Arguments

`x` | a numeric or complex vector.
`partial` | a vector of indices for partial sorting.
`na.last` | for controlling the treatment of `NA`s. If `TRUE`, missing values in the data are put last; if `FALSE`, they are put first; if `NA`, they are removed.

### Details

If `partial` is non `NULL`, it is taken to contain indexes of elements of `x` which are to be placed in their correct positions by partial sorting. After the sort, the values specified in `partial` are in their correct position in the sorted array. Any values smaller than these values are guaranteed to have a smaller index in the sorted array and any values which are greater are guaranteed to have a bigger index in the sorted array.

### See Also

`order`, `rank`.

### Examples

    data(swiss)
    x <- swiss$Education[1:25]
    x; sort(x); sort(x, partial = c(10, 15))
    median # shows you another example for `partial'